## org.eclipse.emf.ecore.presentation
Class EcoreActionBarContributor.ExtendedLoadResourceAction.RegisteredPackageDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.dialogs.SelectionDialog
                      org.eclipse.ui.dialogs.SelectionStatusDialog
                          org.eclipse.ui.dialogs.AbstractElementListSelectionDialog
                              org.eclipse.ui.dialogs.ElementListSelectionDialog
                                  org.eclipse.emf.ecore.presentation.EcoreActionBarContributor.ExtendedLoadResourceAction.RegisteredPackageDialog

All Implemented Interfaces:
  IShellProvider

Enclosing class:
  EcoreActionBarContributor.ExtendedLoadResourceAction

    public static class EcoreActionBarContributor.ExtendedLoadResourceAction.RegisteredPackageDialog

extends ElementListSelectionDialog

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`protected boolean` `isDevelopmentTimeVersion`

Fields inherited from class org.eclipse.ui.dialogs.AbstractElementListSelectionDialog
`fFilteredList`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`EcoreActionBarContributor.ExtendedLoadResourceAction.RegisteredPackageDialog(Shell parent)`

Method Summary
`protected Control` `createDialogArea(Composite parent)`
`boolean` `isDevelopmentTimeVersion()`
`protected void` `updateElements()`

Methods inherited from class org.eclipse.ui.dialogs.ElementListSelectionDialog
`computeResult, setElements`

Methods inherited from class org.eclipse.ui.dialogs.AbstractElementListSelectionDialog

`cancelPressed, create, createFilteredList, createFilterText, createMessageArea, getFilter, getFoldedElements, getSelectedElements, getSelectionIndex, getSelectionIndices, handleDefaultSelected, handleEmptyList, handleSelectionChanged, isCaseIgnored, open, setAllowDuplicates, setEmptyListMessage, setEmptySelectionMessage, setFilter, setIgnoreCase, setListElements, setMatchEmptyString, setMultipleSelection, setSelection, setSize, setValidator, updateOkState, validateCurrentSelection`

Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog
`configureShell, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`createButtonsForButtonBar, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isDevelopmentTimeVersion

    protected boolean isDevelopmentTimeVersion

Constructor Detail

### EcoreActionBarContributor.ExtendedLoadResourceAction.RegisteredPackageDialog

    public EcoreActionBarContributor.ExtendedLoadResourceAction.RegisteredPackageDialog(Shell parent)

Method Detail

### isDevelopmentTimeVersion

    public boolean isDevelopmentTimeVersion()

### updateElements

    protected void updateElements()

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Overrides:
    `createDialogArea` in class `ElementListSelectionDialog`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.